Subject: [mobile-ip] How to understand Options Formatting in RFC 2460

From: [email-masked]
Date: Tue, 15 Apr 2003 15:10:22 +0800

Helllo;
Now I am reading the RFC 2460 and something shoved on my mind.  In the "Appendix B. Formatting Guidelines for Options", I can not understand the first two examples, in fact, all the three ones. 
In the first example, why the alignment requirement is 8n+2, why plus 2?
Same questing in second example, why the alignment requirement is 4n+3? why plus 3?

Does some one can help me out? Does some one can give me some explaination about why the protocol do it like this? And where can I find the implement source code on this problem.

Any reply is appreciated!
Thanks in advanced!

Humphrey